Bug 468124 - Installation Guide lacks early and explicit mention of default store feature
Installation Guide lacks early and explicit mention of default store feature
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Jonathan Robie
Jan Sarenik
:
Depends On: 459118
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 19:50 EDT by Lana Brindley
Modified: 2013-10-23 19:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 08:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lana Brindley 2008-10-22 19:50:44 EDT
Cloned for Tutorial.

+++ This bug was initially created as a clone of Bug #459118 +++

Description of problem:

The installation guide implicitly rather than explicitly says that the persistent store is loaded for MRG 1.0 Messaging. And it waits to say this in the persistence chapter. 

As a major feature this should be explicitly mentioned earlier in the document.

This is an even bigger issue for users that have used QPID, where the store is not default, and moved to RHM.  Time could be spent wasted looking for a module name to use with --load-module. 

Also it might be worth mentioning that if the user turns on tracing with rhmd, as the install guide suggests, they should/will see mrgstore being loaded at the end.

I would also suggest that this is mentioned early in the **Tutorial Guide** too with perhaps a reference to the installation guide.

Version-Release number of selected component (if applicable):
1.0



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from whenry@redhat.com on 2008-08-14 21:42:34 EDT ---

I probably vastly underestimated the time this will take. It's probably more like half a day than half an hour ;-) woops
Comment 1 Lana Brindley 2008-11-10 16:35:42 EST
Why has this bug been reassigned to me?

LKB
Comment 2 Jonathan Robie 2008-12-02 09:28:48 EST
The tutorial states frequently, and early, that it supports persistence. Someone changed "supports persistence" to "supports persistence options" in several places, I'm changing that back.
Comment 3 Jan Sarenik 2009-04-21 08:58:01 EDT
"persistence options" mentioned two times
in Preface of Messaging Tutorial.

Is it expected?
Comment 4 Jonathan Robie 2009-04-21 09:59:47 EDT
(In reply to comment #3)
> "persistence options" mentioned two times
> in Preface of Messaging Tutorial.
> 
> Is it expected?  

Yes.

Note You need to log in before you can comment on or make changes to this bug.